#include <bits/stdc++.h>

#define ll long long int
#define pb push_back
#define ppb pop_back
#define pii pair<long long int, long long int>
#define endl "\n"
#define ff first
#define ss second

using namespace std;

void print(vector<ll> &a) {
    for (auto x : a) cout << x << " ";
}

void input(vector<ll> &a) {
    for (auto &x : a) cin >> x;
}

class DO {
public:
    vector<ll> a, t;
    DO(vector<ll> &v) {a = v; t.resize(v.size() * 4);}
    void build(ll v, ll l, ll r) {
        if (l == r) {
            t[v] = a[l - 1];
            return;
        }
        ll m = (l + r) / 2;
        build(v + v, l, m); build(v + v + 1, m + 1, r);
        t[v] = t[v + v] + t[v + v + 1];
    }

    void update(ll v, ll l, ll r, ll ind, ll x) {
        if (l == r) {
            t[v] += x;
            return;
        }
        ll m = (l + r) / 2;
        if (ind <= m) {
            update(v + v, l, m, ind, x);
        } else {
            update(v + v + 1, m + 1, r, ind, x);
        }
        t[v] = t[v + v] + t[v + v + 1];
    }

    ll get(ll v, ll l, ll r, ll tl, ll tr) {
        if (l > tr || r < tl) {
            return 0;
        }
        if (l >= tl && r <= tr) {
            return t[v];
        }
        ll m = (l + r) / 2;
        return get(v + v, l, m, tl, tr) + get(v + v + 1, m + 1, r, tl, tr);
    }
};

vector<ll> m(1e6 + 1);

ll get(ll l, ll r) {
    ll ans = 0;
    for (ll i = l; i <= r; i++) {
        stack<ll> st;
        ll fl = true;
        for (ll j = m[i] - 1; j >= 0; j--) {
            if ((1 << j) & i) {
                st.push(1);
            } else {
                if (st.empty()) {
                    fl = false;
                    break;
                } st.pop();
            }
        }
        if (!st.empty()) fl = false;
        if (fl) ans++;
    } return ans;
}

void solve() {
    ll x, y; cin >> x >> y;
    ll now = 0;
    for (ll i = 1; i <= 1e6; i++) {
        if ((1 << now) & i) {
            now++;
        } m[i] = now;
    }
    cout << get(x, y) << endl;
}

signed main() {
    cin.tie(0); cout.tie(0);
    ll t; t = 1;
    while (t--) {
        solve();
    }
}
